Description

In a foreman/ovirt provisioning setup, when trying to create hosts via hammer, the datacenter, the hardware template and the

network id that has to be used so the command succeeds are the id's provided by ovirt's api as opposed to the foreman's api ids. A

typical creation command looks like this (I scrambled the ids):

hammer -v host create --name=testhammer --medium-id=7 --subnet-id=9 --hostgroup-id=6 --environment

-id=10 --architecture-id=1 --domain-id=10 --operatingsystem-id=2 --compute-resource-id=5 --partiti

on-table-id=1 --compute-attributes="cluster=99408929-82cf-2dn5-a532-9d998063fa95,template=a0aee259

-210e-49f0-a34v-33a201572142,start=1" --interface="name=NIC1,network=d2990bc8-d963-37gt-9af0-67928

43c9e57"

 The computer profiles ids aren't accessible from foreman's API either (v1 or v2).

Related issues:

Related to Foreman - Feature #4222: API support for looking up compute resour... Closed 01/30/2014

History

#1 - 03/07/2014 04:57 PM - Dominic Cleal

- Related to Feature #4222: API support for looking up compute resource networks, clusters, volumes etc added

#2 - 03/07/2014 04:57 PM - Dominic Cleal

- Subject changed from Ovirt ids needed to create a host via hammer to Ovirt template ids needed to create a host via hammer

- Category set to API

The network, cluster and storage domain IDs are now available via #4222, but the available template IDs need to be added.

#3 - 03/10/2014 09:14 AM - Xavier Naveira

I see now that when looking up the compute resource in the API the oVirt datacenter id is returned.

Compute resource profiles are nevertheless not exposed in the api so the only choice here is to talk directly to oVirt's API

I'm planning in a later time to interact with vmware too and will update the ticket with the case there.

#4 - 03/10/2014 09:22 AM - Dominic Cleal

Compute profiles are noted in #4250, we should both list them and enable them for host creation.

It'd be best to note VMware-specific issues in new tickets, thanks.
